<div class="full-container">
    <div class="left-content">
        <h4>Services</h4>
        <ul>
            <li *ngFor="let s of services" [class.active]="service !== null && s === service"><a
                    [routerLink]="[]" [queryParams]="{'name': s.name}">{{s.name}}</a></li>
        </ul>
        <div class="add-service" [routerLink]="['../', 'create-service']">Add service</div>
    </div>
    <div class="right-content">
        <div *ngIf="service !== null">
            <form [formGroup]="serviceFG">
                <mat-form-field>
                    <input matInput placeholder="Name" formControlName="name">
                </mat-form-field>
                <mat-form-field>
                    <input matInput placeholder="Type" formControlName="nodeType">
                </mat-form-field>
                <div formGroupName="ports">
                    <mat-form-field>
                        <input matInput placeholder="Name" formControlName="name">
                    </mat-form-field>
                    <mat-form-field>
                        <input matInput placeholder="Port" formControlName="port">
                    </mat-form-field>
                    <mat-form-field>
                        <input matInput placeholder="Node port" formControlName="nodePort">
                    </mat-form-field>
                    <mat-form-field>
                        <input matInput placeholder="Protocol" formControlName="protocol">
                    </mat-form-field>
                </div>
            </form>
            <button mat-button color="warn" (click)="deleteService()">Delete service</button>
        </div>
    </div>
</div>